Bug 1533306 - [RFE] Python 3 subpackage
Summary: [RFE] Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: thrift
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Will Benton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2018-01-11 01:05 UTC by Dan Callaghan
Modified: 2020-01-07 14:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-07 14:11:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Dan Callaghan 2018-01-11 01:05:31 UTC
Please provide Python 3 sub-packages for thrift, now that upstream supports it (according to the classifiers on PyPI).

Comment 1 Dan Callaghan 2018-01-11 01:05:49 UTC
This was previously requested in https://bugzilla.redhat.com/show_bug.cgi?id=1183877#c16 but the latest package is still Python 2 only. I'm not sure if that's for some particular reason or just an oversight?

Comment 2 Christopher Tubbs 2018-05-30 21:58:18 UTC
Dan, I think it was a combination of an oversight, and the fact that this package is big and complicated, and deals with multiple languages, making it hard for a single maintainer to have sufficient expertise packaging across all the supported languages.

I'd be happy to have help adding the python3 package, if somebody is able to provide it.

Comment 3 Christopher Tubbs 2018-07-18 06:00:43 UTC
Okay, so was able to build the subpackage using Python3 with minimal patching, but I've had to obsolete the Python2 subpackage, because the build is too complex to support both at the same time and I really don't want to rewrite upstream's build tooling.

Scratch build here: https://koji.fedoraproject.org/koji/taskinfo?taskID=28388774

Tagged build here: https://koji.fedoraproject.org/koji/taskinfo?taskID=28389982

Comment 4 Petr Viktorin 2019-03-19 14:22:38 UTC
There is still a dependency on /usr/bin/python2 in the python3-fb303 package.
Can you fix this, or should we help find it?

Comment 5 Christopher Tubbs 2019-03-19 20:50:02 UTC
(In reply to Petr Viktorin from comment #4)
> There is still a dependency on /usr/bin/python2 in the python3-fb303 package.
> Can you fix this, or should we help find it?

Feel free to help. With all the non-modular Java build dependencies going away... I've been waiting to see how that will resolve before I proceed. Thrift isn't exclusively Java, but the only reason I maintain it is for the libthrift.jar for one of my other Java packages. I don't want to do a bunch of work to keep this package in good standing, only to have to retire it soon because I can't figure out how to make all my packages modular, because all their dependencies are modular.


So, yes, please feel free to help. :)

Comment 6 Petr Viktorin 2020-01-07 14:11:40 UTC
Sadly I didn't get to it in time, but I see thrift is python3-only in Rawhide. Thank you!


Note You need to log in before you can comment on or make changes to this bug.